-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Aug 27, 2024 at 03:14 AM
-- Server version: 10.4.27-MariaDB
-- PHP Version: 8.0.25

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `demo_payslip_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbl_bonus`
--

CREATE TABLE `tbl_bonus` (
  `bonus_id` int(11) NOT NULL,
  `bonus_name` varchar(50) DEFAULT NULL,
  `description` text DEFAULT NULL,
  `bonus_amount` decimal(10,2) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_deduction`
--

CREATE TABLE `tbl_deduction` (
  `deduction_id` int(11) NOT NULL,
  `deduction_name` varchar(50) DEFAULT NULL,
  `description` text DEFAULT NULL,
  `d_type` varchar(10) DEFAULT NULL,
  `deduction_amount` decimal(10,2) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_department`
--

CREATE TABLE `tbl_department` (
  `department_id` int(11) NOT NULL,
  `department_code` varchar(20) DEFAULT NULL,
  `department_description` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_employee`
--

CREATE TABLE `tbl_employee` (
  `employee_id` int(11) NOT NULL,
  `department_id` int(11) DEFAULT NULL,
  `position_id` int(11) DEFAULT NULL,
  `employee_name` varchar(100) DEFAULT NULL,
  `email_address` varchar(50) DEFAULT NULL,
  `contact_number` varchar(20) DEFAULT NULL,
  `e_gender` varchar(10) DEFAULT NULL,
  `profile_picture` blob DEFAULT NULL,
  `e_username` varchar(30) DEFAULT NULL,
  `e_password` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_payslip`
--

CREATE TABLE `tbl_payslip` (
  `payslip_id` int(11) NOT NULL,
  `date_time_encoded` timestamp NOT NULL DEFAULT current_timestamp(),
  `employee_id` int(11) DEFAULT NULL,
  `position_name` varchar(50) DEFAULT NULL,
  `base_salary` decimal(10,2) DEFAULT NULL,
  `total_bonus` decimal(10,2) DEFAULT NULL,
  `total_deduction` decimal(10,2) DEFAULT NULL,
  `signatory_name` varchar(100) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `s_flag` varchar(10) DEFAULT 'new'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_payslip_bonus`
--

CREATE TABLE `tbl_payslip_bonus` (
  `payslip_id` int(11) NOT NULL,
  `bonus_id` int(11) NOT NULL,
  `amount` decimal(10,2) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_payslip_deduction`
--

CREATE TABLE `tbl_payslip_deduction` (
  `payslip_id` int(11) NOT NULL,
  `deduction_id` int(11) NOT NULL,
  `amount` decimal(10,2) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_position`
--

CREATE TABLE `tbl_position` (
  `position_id` int(11) NOT NULL,
  `position_name` varchar(50) DEFAULT NULL,
  `description` text DEFAULT NULL,
  `salary_amount` decimal(10,2) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_signatory`
--

CREATE TABLE `tbl_signatory` (
  `signatory_id` int(11) NOT NULL,
  `signatory_name` varchar(100) DEFAULT NULL,
  `designation` varchar(50) DEFAULT NULL,
  `status` varchar(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tbl_bonus`
--
ALTER TABLE `tbl_bonus`
  ADD PRIMARY KEY (`bonus_id`);

--
-- Indexes for table `tbl_deduction`
--
ALTER TABLE `tbl_deduction`
  ADD PRIMARY KEY (`deduction_id`);

--
-- Indexes for table `tbl_department`
--
ALTER TABLE `tbl_department`
  ADD PRIMARY KEY (`department_id`);

--
-- Indexes for table `tbl_employee`
--
ALTER TABLE `tbl_employee`
  ADD PRIMARY KEY (`employee_id`),
  ADD KEY `department_id` (`department_id`),
  ADD KEY `position_id` (`position_id`);

--
-- Indexes for table `tbl_payslip`
--
ALTER TABLE `tbl_payslip`
  ADD PRIMARY KEY (`payslip_id`),
  ADD KEY `employee_id` (`employee_id`);

--
-- Indexes for table `tbl_payslip_bonus`
--
ALTER TABLE `tbl_payslip_bonus`
  ADD PRIMARY KEY (`payslip_id`,`bonus_id`),
  ADD KEY `bonus_id` (`bonus_id`);

--
-- Indexes for table `tbl_payslip_deduction`
--
ALTER TABLE `tbl_payslip_deduction`
  ADD PRIMARY KEY (`payslip_id`,`deduction_id`),
  ADD KEY `deduction_id` (`deduction_id`);

--
-- Indexes for table `tbl_position`
--
ALTER TABLE `tbl_position`
  ADD PRIMARY KEY (`position_id`);

--
-- Indexes for table `tbl_signatory`
--
ALTER TABLE `tbl_signatory`
  ADD PRIMARY KEY (`signatory_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tbl_bonus`
--
ALTER TABLE `tbl_bonus`
  MODIFY `bonus_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_deduction`
--
ALTER TABLE `tbl_deduction`
  MODIFY `deduction_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_department`
--
ALTER TABLE `tbl_department`
  MODIFY `department_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_employee`
--
ALTER TABLE `tbl_employee`
  MODIFY `employee_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_payslip`
--
ALTER TABLE `tbl_payslip`
  MODIFY `payslip_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_position`
--
ALTER TABLE `tbl_position`
  MODIFY `position_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_signatory`
--
ALTER TABLE `tbl_signatory`
  MODIFY `signatory_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `tbl_employee`
--
ALTER TABLE `tbl_employee`
  ADD CONSTRAINT `tbl_employee_ibfk_1` FOREIGN KEY (`department_id`) REFERENCES `tbl_department` (`department_id`),
  ADD CONSTRAINT `tbl_employee_ibfk_2` FOREIGN KEY (`position_id`) REFERENCES `tbl_position` (`position_id`);

--
-- Constraints for table `tbl_payslip`
--
ALTER TABLE `tbl_payslip`
  ADD CONSTRAINT `tbl_payslip_ibfk_1` FOREIGN KEY (`employee_id`) REFERENCES `tbl_employee` (`employee_id`);

--
-- Constraints for table `tbl_payslip_bonus`
--
ALTER TABLE `tbl_payslip_bonus`
  ADD CONSTRAINT `tbl_payslip_bonus_ibfk_1` FOREIGN KEY (`payslip_id`) REFERENCES `tbl_payslip` (`payslip_id`),
  ADD CONSTRAINT `tbl_payslip_bonus_ibfk_2` FOREIGN KEY (`bonus_id`) REFERENCES `tbl_bonus` (`bonus_id`);

--
-- Constraints for table `tbl_payslip_deduction`
--
ALTER TABLE `tbl_payslip_deduction`
  ADD CONSTRAINT `tbl_payslip_deduction_ibfk_1` FOREIGN KEY (`payslip_id`) REFERENCES `tbl_payslip` (`payslip_id`),
  ADD CONSTRAINT `tbl_payslip_deduction_ibfk_2` FOREIGN KEY (`deduction_id`) REFERENCES `tbl_deduction` (`deduction_id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
